com.example.labstatus

## Class SoftListAdapter.MyViewHolder

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.ViewHolder
  - - com.example.labstatus.SoftListAdapter.MyViewHolder

- Enclosing class:
    SoftListAdapter

      public static class SoftListAdapter.MyViewHolder
      extends androidx.recyclerview.widget.RecyclerView.ViewHolder

  Each data item is just a string in this case
  See Also:
    `RecyclerView.ViewHolder`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `android.widget.TextView` | `textView`

    - ### Fields inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyViewHolder(android.widget.TextView v)`

  - ### Method Summary

    - ### Methods inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### textView

          public android.widget.TextView textView

  - ### Constructor Detail

    - #### MyViewHolder

          public MyViewHolder(android.widget.TextView v)